GET /katello/api/environments/292811013/activation_keys
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "name",
"order": "asc"
},
"results": [
{
"id": 878475814,
"name": "Lib Dev Staging Activation Key",
"description": "Here we go again!",
"unlimited_hosts": true,
"content_view_environment_labels": "library_dev_staging_view_dev",
"usage_count": 0,
"user_id": null,
"max_hosts": null,
"release_version": null,
"purpose_usage": null,
"purpose_role": null,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"created_at": "2026-11-03 08:05:52 UTC",
"updated_at": "2026-11-03 08:05:52 UTC",
"content_view_environments": [
{
"content_view": {
"id": 419082953,
"name": "Published Library - dev - staging view",
"label": "published_dev_staging_view",
"composite": false,
"rolling": false,
"content_view_version": "3.0",
"content_view_version_id": 234564707,
"content_view_version_latest": true,
"content_view_default": false,
"content_view_environment_id": 801054860
},
"lifecycle_environment": {
"id": 292811013,
"name": "Dev",
"label": "dev_label",
"lifecycle_environment_library": false
},
"label": "library_dev_staging_view_dev"
}
],
"host_collections": [],
"multi_content_view_environment": false,
"permissions": {
"view_activation_keys": true,
"edit_activation_keys": true,
"destroy_activation_keys": true
}
}
]
}
| Param name | Description |
|---|---|
|
organization_id
required |
organization identifier Validations:
|
|
environment_id
optional |
environment identifier Validations:
|
|
content_view_id
optional |
content view identifier Validations:
|
|
name
optional |
activation key name to filter by Validations:
|
|
content_view_environments
optional |
Comma-separated list of content view environment labels associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Requires allow_multiple_content_views setting to be on. Validations:
|
|
content_view_environment_ids
optional |
Array of content view environment ids associated with the activation key. Requires allow_multiple_content_views setting to be on. Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| content_view | string | |
| content_view_id | integer | |
| description | text | |
| environment | string | |
| lifecycle_environment_id | integer | |
| name | string | |
| organization_id | integer | |
| role | string | |
| usage | string |
POST /katello/api/activation_keys
{
"organization_id": 114267492,
"activation_key": {
"name": "limited Key",
"unlimited_hosts": false
}
}
422
{
"message": "Validation failed: Max hosts cannot be nil",
"errors": {
"max_hosts": [
"cannot be nil"
]
}
}
| Param name | Description |
|---|---|
|
name
required |
name Validations:
|
|
organization_id
required |
organization identifier Validations:
|
|
description
optional |
description Validations:
|
|
max_hosts
optional |
maximum number of registered content hosts Validations:
|
|
unlimited_hosts
optional |
can the activation key have unlimited hosts Validations:
|
|
release_version
optional |
content release version Validations:
|
|
service_level
optional |
service level Validations:
|
|
purpose_usage
optional |
Sets the system purpose usage Validations:
|
|
purpose_role
optional |
Sets the system purpose usage Validations:
|
|
content_view_environments
optional |
Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Requires allow_multiple_content_views setting to be on. Validations:
|
|
content_view_environment_ids
optional |
Array of content view environment ids to be associated with the activation key. Requires allow_multiple_content_views setting to be on. Validations:
|
PUT /katello/api/activation_keys/568942081
{
"organization_id": 114267492,
"activation_key": {
"unlimited_hosts": false,
"max_hosts": 0
}
}
422
{
"message": "Validation failed: Max hosts cannot be less than one",
"errors": {
"max_hosts": [
"cannot be less than one"
]
}
}
| Param name | Description |
|---|---|
|
organization_id
required |
organization identifier Validations:
|
|
description
optional |
description Validations:
|
|
max_hosts
optional |
maximum number of registered content hosts Validations:
|
|
unlimited_hosts
optional |
can the activation key have unlimited hosts Validations:
|
|
release_version
optional |
content release version Validations:
|
|
service_level
optional |
service level Validations:
|
|
purpose_usage
optional |
Sets the system purpose usage Validations:
|
|
purpose_role
optional |
Sets the system purpose usage Validations:
|
|
content_view_environments
optional |
Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Requires allow_multiple_content_views setting to be on. Validations:
|
|
content_view_environment_ids
optional |
Array of content view environment ids to be associated with the activation key. Requires allow_multiple_content_views setting to be on. Validations:
|
|
id
required |
ID of the activation key Validations:
|
|
name
optional |
name Validations:
|
DELETE /katello/api/activation_keys/568942081
{
"activation_key": {}
}
202
{
"id": null,
"label": null,
"pending": null,
"username": null,
"started_at": null,
"ended_at": null,
"state": null,
"result": null,
"progress": null,
"input": null,
"output": {},
"humanized": null,
"cli_example": null,
"duration": null,
"available_actions": {
"cancellable": null,
"resumable": null
}
}
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
GET /katello/api/activation_keys/568942081
200
{
"service_level": null,
"content_overrides": [],
"id": 568942081,
"name": "Simple Activation Key",
"description": "A simple activation key.",
"unlimited_hosts": true,
"content_view_environment_labels": "library_default_view_library",
"usage_count": 0,
"user_id": null,
"max_hosts": null,
"release_version": null,
"purpose_usage": null,
"purpose_role": null,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"created_at": "2026-11-03 08:05:52 UTC",
"updated_at": "2026-11-03 08:05:52 UTC",
"content_view_environments": [
{
"content_view": {
"id": 30237652,
"name": "ACME Default ContentView",
"label": "org_default_label",
"composite": false,
"rolling": false,
"content_view_version": "1.0",
"content_view_version_id": 840492357,
"content_view_version_latest": true,
"content_view_default": true,
"content_view_environment_id": 361865081
},
"lifecycle_environment": {
"id": 562075838,
"name": "Library",
"label": "library_label",
"lifecycle_environment_library": true
},
"label": "library_default_view_library"
}
],
"host_collections": [],
"multi_content_view_environment": false,
"permissions": {
"view_activation_keys": true,
"edit_activation_keys": true,
"destroy_activation_keys": true
}
}
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
|
organization_id
optional |
organization identifier Validations:
|
|
show_hosts
optional |
Show hosts associated to an activation key Validations:
|
POST /katello/api/activation_keys/568942081/copy
{
"organization_id": 114267492,
"new_name": "NewAK",
"activation_key": {
"organization_id": 114267492
}
}
201
{
"service_level": null,
"content_overrides": [],
"id": null,
"name": "NewAK",
"description": "A simple activation key.",
"unlimited_hosts": true,
"content_view_environment_labels": "library_default_view_library",
"usage_count": 0,
"user_id": 135138680,
"max_hosts": null,
"release_version": null,
"purpose_usage": null,
"purpose_role": null,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"created_at": null,
"updated_at": null,
"content_view_environments": [
{
"content_view": {
"id": 30237652,
"name": "ACME Default ContentView",
"label": "org_default_label",
"composite": false,
"rolling": false,
"content_view_version": "1.0",
"content_view_version_id": 840492357,
"content_view_version_latest": true,
"content_view_default": true,
"content_view_environment_id": 361865081
},
"lifecycle_environment": {
"id": 562075838,
"name": "Library",
"label": "library_label",
"lifecycle_environment_library": true
},
"label": "library_default_view_library"
}
],
"host_collections": [],
"multi_content_view_environment": false,
"permissions": {
"view_activation_keys": true,
"edit_activation_keys": true,
"destroy_activation_keys": true
}
}
| Param name | Description |
|---|---|
|
new_name
required |
Name of new activation key Validations:
|
|
id
required |
ID of the activation key Validations:
|
|
organization_id
optional |
organization identifier Validations:
|
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
|
name
optional |
host collection name to filter by Validations:
|
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
|
host_collection_ids
required |
List of host collection IDs to associate with activation key Validations:
|
PUT /katello/api/activation_keys/568942081/host_collections
{
"organization_id": 114267492,
"host_collection_ids": [],
"activation_key": {
"organization_id": 114267492,
"host_collection_ids": []
}
}
200
{
"service_level": null,
"content_overrides": [],
"id": 568942081,
"name": "Simple Activation Key",
"description": "A simple activation key.",
"unlimited_hosts": true,
"content_view_environment_labels": "library_default_view_library",
"usage_count": 0,
"user_id": null,
"max_hosts": null,
"release_version": null,
"purpose_usage": null,
"purpose_role": null,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"created_at": "2026-11-03 08:05:52 UTC",
"updated_at": "2026-11-03 08:05:52 UTC",
"content_view_environments": [
{
"content_view": {
"id": 30237652,
"name": "ACME Default ContentView",
"label": "org_default_label",
"composite": false,
"rolling": false,
"content_view_version": "1.0",
"content_view_version_id": 840492357,
"content_view_version_latest": true,
"content_view_default": true,
"content_view_environment_id": 361865081
},
"lifecycle_environment": {
"id": 562075838,
"name": "Library",
"label": "library_label",
"lifecycle_environment_library": true
},
"label": "library_default_view_library"
}
],
"host_collections": [],
"multi_content_view_environment": false,
"permissions": {
"view_activation_keys": true,
"edit_activation_keys": true,
"destroy_activation_keys": true
}
}
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
|
host_collection_ids
required |
List of host collection IDs to disassociate from the activation key Validations:
|
PUT /katello/api/activation_keys/568942081/content_override
{
"content_overrides": [
{
"content_label": "fedora",
"name": "enabled",
"value": true
},
{
"content_label": "fedora",
"value": 0
},
{
"content_label": "croissant",
"name": "mirrorlist",
"remove": true
},
{
"content_label": "crepe",
"name": "mirrorlist",
"remove": true
}
],
"activation_key": {}
}
400
{
"message": "Content label(s) \"croissant, crepe\" were not found in the Organization \"Empty Organization\"",
"errors": [
"Content label(s) \"croissant, crepe\" were not found in the Organization \"Empty Organization\""
]
}
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
|
content_overrides
optional |
Array of Content override parameters to be added in bulk Validations:
|
|
content_overrides[content_label]
required |
Label of the content Validations:
|
|
content_overrides[value]
optional |
Override value. Provide a boolean value if name is ‘enabled’ Validations:
|
|
content_overrides[name]
optional |
Override parameter key or name. Note if name is not provided the default name will be ‘enabled’ Validations:
|
|
content_overrides[remove]
optional |
Set true to remove an override and reset it to ‘default’ Validations:
|
| Param name | Description |
|---|---|
|
id
required |
ID of the activation key Validations:
|
|
content_access_mode_env
optional |
Limit content to just that available in the activation key’s content view version Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|